<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>31. Importing Modules &mdash; Python 3.5.1 documentation</title>
    
    <link rel="stylesheet" href="../_static/pydoctheme.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '3.5.1',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <script type="text/javascript" src="../_static/sidebar.js"></script>
    <link rel="search" type="application/opensearchdescription+xml"
          title="Search within Python 3.5.1 documentation"
          href="../_static/opensearch.xml"/>
    <link rel="author" title="About these documents" href="../about.html" />
    <link rel="copyright" title="Copyright" href="../copyright.html" />
    <link rel="top" title="Python 3.5.1 documentation" href="../contents.html" />
    <link rel="up" title="The Python Standard Library" href="index.html" />
    <link rel="next" title="31.1. zipimport — Import modules from Zip archives" href="zipimport.html" />
    <link rel="prev" title="30.2. codeop — Compile Python code" href="codeop.html" />
    <link rel="shortcut icon" type="image/png" href="../_static/py.png" />
    <script type="text/javascript" src="../_static/copybutton.js"></script>
    <script type="text/javascript" src="../_static/version_switch.js"></script>
    
 

  </head>
  <body role="document">  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="zipimport.html" title="31.1. zipimport — Import modules from Zip archives"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="codeop.html" title="30.2. codeop — Compile Python code"
             accesskey="P">previous</a> |</li>
        <li><img src="../_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="../index.html">Documentation</a> &raquo;
        </li>

          <li class="nav-item nav-item-1"><a href="index.html" accesskey="U">The Python Standard Library</a> &raquo;</li> 
      </ul>
    </div>    

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="importing-modules">
<span id="modules"></span><h1>31. Importing Modules<a class="headerlink" href="#importing-modules" title="Permalink to this headline">¶</a></h1>
<p>The modules described in this chapter provide new ways to import other Python
modules and hooks for customizing the import process.</p>
<p>The full list of modules described in this chapter is:</p>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="zipimport.html">31.1. <code class="docutils literal"><span class="pre">zipimport</span></code> &#8212; Import modules from Zip archives</a><ul>
<li class="toctree-l2"><a class="reference internal" href="zipimport.html#zipimporter-objects">31.1.1. zipimporter Objects</a></li>
<li class="toctree-l2"><a class="reference internal" href="zipimport.html#examples">31.1.2. Examples</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="pkgutil.html">31.2. <code class="docutils literal"><span class="pre">pkgutil</span></code> &#8212; Package extension utility</a></li>
<li class="toctree-l1"><a class="reference internal" href="modulefinder.html">31.3. <code class="docutils literal"><span class="pre">modulefinder</span></code> &#8212; Find modules used by a script</a><ul>
<li class="toctree-l2"><a class="reference internal" href="modulefinder.html#example-usage-of-modulefinder">31.3.1. Example usage of <code class="docutils literal"><span class="pre">ModuleFinder</span></code></a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="runpy.html">31.4. <code class="docutils literal"><span class="pre">runpy</span></code> &#8212; Locating and executing Python modules</a></li>
<li class="toctree-l1"><a class="reference internal" href="importlib.html">31.5. <code class="docutils literal"><span class="pre">importlib</span></code> &#8211; The implementation of <code class="docutils literal"><span class="pre">import</span></code></a><ul>
<li class="toctree-l2"><a class="reference internal" href="importlib.html#introduction">31.5.1. Introduction</a></li>
<li class="toctree-l2"><a class="reference internal" href="importlib.html#functions">31.5.2. Functions</a></li>
<li class="toctree-l2"><a class="reference internal" href="importlib.html#module-importlib.abc">31.5.3. <code class="docutils literal"><span class="pre">importlib.abc</span></code> &#8211; Abstract base classes related to import</a></li>
<li class="toctree-l2"><a class="reference internal" href="importlib.html#module-importlib.machinery">31.5.4. <code class="docutils literal"><span class="pre">importlib.machinery</span></code> &#8211; Importers and path hooks</a></li>
<li class="toctree-l2"><a class="reference internal" href="importlib.html#module-importlib.util">31.5.5. <code class="docutils literal"><span class="pre">importlib.util</span></code> &#8211; Utility code for importers</a></li>
</ul>
</li>
</ul>
</div>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="codeop.html"
                        title="previous chapter">30.2. <code class="docutils literal"><span class="pre">codeop</span></code> &#8212; Compile Python code</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="zipimport.html"
                        title="next chapter">31.1. <code class="docutils literal"><span class="pre">zipimport</span></code> &#8212; Import modules from Zip archives</a></p>
<h3>This Page</h3>
<ul class="this-page-menu">
  <li><a href="../bugs.html">Report a Bug</a></li>
  <li><a href="../_sources/library/modules.txt"
         rel="nofollow">Show Source</a></li>
</ul>

<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="zipimport.html" title="31.1. zipimport — Import modules from Zip archives"
             >next</a> |</li>
        <li class="right" >
          <a href="codeop.html" title="30.2. codeop — Compile Python code"
             >previous</a> |</li>
        <li><img src="../_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="../index.html">Documentation</a> &raquo;
        </li>

          <li class="nav-item nav-item-1"><a href="index.html" >The Python Standard Library</a> &raquo;</li> 
      </ul>
    </div>  
    <div class="footer">
    &copy; <a href="../copyright.html">Copyright</a> 1990-2016, Python Software Foundation.
    <br />
    The Python Software Foundation is a non-profit corporation.
    <a href="https://www.python.org/psf/donations/">Please donate.</a>
    <br />
    Last updated on Jan 08, 2016.
    <a href="../bugs.html">Found a bug</a>?
    <br />
    Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.3.3.
    </div>

  </body>
</html>